## bino-dmo 1.6.7

=== debian/changelog ===
bino-dmo (1:1.6.7-dmo2) unstable; urgency=medium

  * Build against qtbase-abi-5-12-5 and/or qtdeclarative-abi-5-12-5

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Oct 2019 14:25:13 +0200

bino-dmo (1:1.6.7-dmo1) unstable; urgency=medium

  * New upstream version.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Sep 2018 15:37:09 +0200

bino-dmo (1:1.6.6-dmo2) unstable; urgency=medium

  * Rebuild against ffmpeg 4.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Apr 2018 09:14:39 +0200

bino-dmo (1:1.6.6-dmo1) unstable; urgency=medium

  * New upstream version.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Jan 2018 08:47:34 +0100

bino-dmo (1:1.6.5-dmo1) unstable; urgency=medium

  * Rebuild against libass9

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 11 Jan 2017 08:37:26 +0100

bino (1.6.5-1) unstable; urgency=medium

  * New upstream version 1.6.5 (Closes: #847550)
  * Use dh compat 10
  * Remove ffmpeg_2.9.patch, fixed upstream
  * Use https for copyright Format link
  * Remove versioned dependency to ffmpeg
  * Update standards-version to 3.9.8
  * Update copyright

 -- Daniel Schaal <daniel@schaal.email>  Fri, 16 Dec 2016 20:43:03 +0100

bino (1.6.3-1) unstable; urgency=medium

  * Remove bino-dbg package, rely on automatic dbgsym package
  * Imported Upstream version 1.6.2
  * Imported Upstream version 1.6.3
    * fixes compilation with g++-6 (Closes: #811630)
  * Remove use-fPIC.patch, merged upstream
  * Always use debian/tmp
  * Use https url for Vcs-Git
  * Update standards-version, no changes needed

 -- Daniel Schaal <daniel@schaal.email>  Mon, 15 Feb 2016 05:41:22 +0100

bino (1.6.1-1) unstable; urgency=medium

  * Imported Upstream version 1.6.1
  * Update gbp.conf to match new gbp config style
  * Add patch to compile with -fPIC instead of -fPIE when necessary.
    (Closes: #802374)
  * Update standards-version to 3.9.6
  * Update copyright for new upstream version
  * Update my email address
  * Don't install bino.info anymore, it prevents reproducible builds.
  * Add patch to fix compilation with ffmpeg 2.9 (Closes: #803802)
    Thanks to Andreas Cadhalpun for the patch.

 -- Daniel Schaal <daniel@schaal.email>  Wed, 28 Oct 2015 17:45:23 +0100

bino (1.6.0-1) unstable; urgency=medium

  * Imported Upstream version 1.6.0 (Closes: #757280).
  * Remove libav10 ftbfs patch, applied upstream
  * Switch to qt5
  * Update copyright file for 1.6.0

 -- Daniel Schaal <farbing@web.de>  Sat, 20 Sep 2014 09:42:32 +0200

bino (1.4.4-2) unstable; urgency=medium

  * Add patch to fix FTBFS with libav10 (Closes: #739214).

 -- Daniel Schaal <farbing@web.de>  Fri, 21 Feb 2014 07:31:03 +0100

bino (1.4.4-1) unstable; urgency=low

  * Imported Upstream version 1.4.4
  * Update to Standards-Version 3.9.5, no changes needed
  * Add patch to share images between bino.info and html doc
  * Add patch to include-binaries to avoid "unwanted binaries" error
  * Add signature check for upstream tarball when using uscan

 -- Daniel Schaal <farbing@web.de>  Thu, 26 Dec 2013 09:52:26 +0100

bino (1.4.2-1) unstable; urgency=low

  * Imported Upstream version 1.4.2
  * debian/rules:
    * make build more verbose
    * deleting usr/share/info/dir no longer necessary
    * use DEB_LDFLAGS_MAINT_APPEND instead of LDFLAGS directly.
  * debian/copyright: Update for 1.4.2.
  * debian/control:
    * Update to Standards-Version 3.9.4, no changes needed.
    * Move git repo to github.

 -- Daniel Schaal <farbing@web.de>  Wed, 01 May 2013 08:57:38 +0200

bino (1.4.0-1) unstable; urgency=low

  * Imported Upstream version 1.4.0
  * Add Build-Depends on debhelper >= 9, remove lintian override
  * debian/gbp.conf: disable pristine-tar as it doesn't support xz yet.
  * debian/control:
    * update Standards-Version to 3.9.3 (no changes needed)
    * build-Depend on libglewmx-dev instead of libglew-dev
    * build-Depend on texinfo
  * debian/copyright:
    * update Format url to new canonical url
    * update for new upstream version
  * debian/watch: only consider versions with even version numbers.

 -- Daniel Schaal <farbing@web.de>  Sun, 24 Jun 2012 11:57:35 +0200

bino (1.2.1-2) unstable; urgency=low

  * explicitly disable Equalizer in configure line
  * Build-Depend on libass-dev >= 0.10.0-2,
    earlier versions are missing a dependency on libfribidi-dev.
    (Closes: #646442)

 -- Daniel Schaal <farbing@web.de>  Fri, 16 Dec 2011 22:45:38 +0100

bino (1.2.1-1) unstable; urgency=low

  * Imported Upstream version 1.2.1
  * add comment to lintian override
  * wrap-and-sort control and .install files
  * build-depend on libglew1.6-dev instead of
    virtual package libglew-dev
  * delete usr/share/info/dir from debian/tmp
  * html docs are installed in htmldir now,
    adapt configure option
  * remove fix-hyphen-used-as-minus.patch, applied upstream

 -- Daniel Schaal <farbing@web.de>  Mon, 10 Oct 2011 22:23:34 +0200

bino (1.2.0-1) unstable; urgency=low

  * Initial release (Closes: #610793)

 -- Daniel Schaal <farbing@web.de>  Fri, 09 Sep 2011 14:23:54 +0200
