=== debian/control ===
Source: bino-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://bino3d.org/
Standards-Version: 4.4.1
Build-Depends: debhelper-compat (= 12), libass-dev, libavcodec-dev, libavdevice-dev,
 libavformat-dev, libglewmx-dev, liblircclient-dev, libopenal-dev, texinfo,
 qtbase5-dev-tools, libswscale-dev, pkg-config, qt5-default, desktop-file-utils,
 gtk-update-icon-cache, libqt5opengl5-dev

Package: bino
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: 3D video player
 Bino is a video player with support for a wide variety of stereoscopic
 video layouts and formats.
 .
 Bino can display monoscopic videos, as well as videos with the left and
 right view stored either in separate streams or displayed side by side. It
 can output these videos for several types of anaglyph glasses or 3D
 displays.
