=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT = 5

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	--htmldir=\$${docdir}/html --without-equalizer \
	--disable-silent-rules --with-qt-version=5
