=== debian/watch ===
version=4

https://bino3d.org/download.html \
.*/bino-([\d\.]+)@ARCHIVE_EXT@
