## bino-dmo 2.1

=== debian/changelog ===
bino-dmo (1:2.1-dmo3) unstable; urgency=medium

  * Add qt5-qmake to Build-Depends.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Feb 2023 08:12:43 +0100

bino-dmo (1:2.1-dmo2) unstable; urgency=medium

  * Re-upload with source.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Feb 2023 07:38:43 +0100

bino-dmo (1:2.1-dmo1) unstable; urgency=medium

  * New upstream version.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Feb 2023 08:41:14 +0100

bino-dmo (1:2.0-dmo1) unstable; urgency=medium

  * New upstream version.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 11 Nov 2022 15:14:10 +0100

bino-dmo (1:1.6.8-dmo1) unstable; urgency=medium

  * New upstream version.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 04 Nov 2021 20:35:58 +0100

bino-dmo (1:1.6.7-dmo3) unstable; urgency=medium

  * Debian/control Replace libqt5opengl5-dev by libqt5opengl5-desktop-dev

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Aug 2021 15:42:20 +0200
