=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://bino3d.org/
-Standards-Version: 4.4.1
-Build-Depends: debhelper-compat (= 12), libass-dev, libavcodec-dev, libavdevice-dev,
- libavformat-dev, libglewmx-dev, liblircclient-dev, libopenal-dev, texinfo,
- qtbase5-dev-tools, libswscale-dev, pkg-config, qt5-default, desktop-file-utils,
- gtk-update-icon-cache, libqt5opengl5-dev
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), cmake, ninja-build, qt6-base-dev,
+ qt6-multimedia-dev, libqt6opengl6-dev, libqt6svg6-dev, qt6-tools-dev,
+ libxkbcommon-dev, qt5-qmake
 
 Package: bino
 Architecture: any
