## bino-dmo 2.5

=== debian/changelog ===
bino-dmo (1:2.5-dmo1) unstable; urgency=medium

  * New upstream version.
  * Add ffmpeg to Recommends.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Feb 2025 10:23:08 +0100

bino-dmo (1:2.4-dmo1) unstable; urgency=medium

  * New upstream version.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 13 Feb 2025 12:48:41 +0100

bino-dmo (1:2.3-dmo2) unstable; urgency=medium

  * Should Depends on qt6-svg-plugins

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Jan 2025 15:55:08 +0100

bino-dmo (1:2.3-dmo1) unstable; urgency=medium

  * New upstream version.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 07 Oct 2024 00:49:56 +0200

bino-dmo (1:2.2-dmo1) unstable; urgency=medium

  * New upstream version.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 08 Jun 2024 15:33:51 +0200

bino-dmo (1:2.1-dmo5) unstable; urgency=medium

  * Build with Qt6 6.6

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Jun 2024 08:18:21 +0200

bino-dmo (1:2.1-dmo4) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 16 Mar 2024 22:03:16 +0100
