=== debian/watch ===
version=4

https://github.com/marlam/bino-mirror/tags \
(?:.*?/)?bino-@ANY_VERSION@@ARCHIVE_EXT@
