## bino-dmo 2.6

=== debian/changelog ===
bino-dmo (1:2.6-dmo1) unstable; urgency=medium

  * New upstream version.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 13 Nov 2025 08:37:41 +0100
