=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://bino3d.org/
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), cmake, ninja-build, qt6-tools-dev,
  qt6-base-dev (>= 6.6~), qt6-multimedia-dev, libqt6svg6-dev, libxkbcommon-dev,
