=== debian/watch ===
Version: 5

Template: Github
Owner: marlam
Project: bino-mirror
